# Querying a Bundle

### Query Bundle

Once you have submitted a bundle you may want to verify the status of the bundle. This can be achieved via `https://ethauction.blinklabs.xyz/bundle/v1/{$API_KEY}?hash={$BUNDLE_HASH}`.

Below is an example response:

```
{
  "bundleHash": "0x9f8b0be7ba73dd049d0c13f8bee2f35ab1ba6401f07d1c60d77a7f81020fb187",
  "bundleOnChain": true,
  "searcherAddress": "0xa81b75207dd53258c2307b64b7af15388c5592ab",
  "bidValueWei": "500000000000000",
  "blockNumber": "0x84a729",
  "timeReceived": 1666340740,
  "titanBundleHash": "0xb43eeb71cc55e1bd36597c2e2bf0d2e990a8edac0ccb88fbb8485ce827ab9144",
  "error": "0x08c379a0000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000034761730000000000000000000000000000000000000000000000000000000000"
}
```

* `bundleOnChain` indicates whether bundle was included on-chain
* `timeReceived` is the Unix timestamp of when the bid was received
* `titanBundleHash` is the bundle hash returned by Titan which can be queried using their [titan\_getBundleStats](https://docs.titanbuilder.xyz/bundle-tracing#using-titan_getbundlestats-endpoint) endpoint (only non-nil is returned)
* `error` is the reversion or error reason returned by the Reth node simulating the bundle (only non-nil is returned)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blinklabs.xyz/blink/ethereum/searchers/integration/querying-a-bundle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
